/// <reference types="react" />
import { ItemHeight, SearchItemRequirements, SearchProps } from './Search';
type RecentSearchProps<T> = {
    /**
     * List of recently selected items.
     */
    recents: T[];
    /**
     * Height of each item in the list.
     */
    itemHeight: ItemHeight;
    /**
     * Callback for when an item is selected.
     */
    onItemSelect: SearchProps<T>['onItemSelect'];
    /**
     * Optional render function for recent selections.
     */
    renderRecent?: SearchProps<T>['renderResult'];
    /**
     * Optional toolbar elements to display above the list of recents.
     */
    toolbarElements?: React.ReactNode;
};
/**
 * Returns list of recent searches with a header and optional toolbar elements.
 */
export declare const RecentSearches: <T extends SearchItemRequirements>(props: RecentSearchProps<T>) => JSX.Element;
export {};
